MINARA

更新報告樣式

PUT /v1/report-style:在一次請求中更新報告設計設置和/或自定義 REPORT.css。

PUT /v1/report-style

在一次請求中更新報告設計設置和/或自定義 REPORT.css。持久化前會規範化設置,並根據報告樣式表安全策略驗證自定義 CSS。

方法PUT
路徑/v1/report-style
認證設置 GATEWAY_AUTH_TOKEN 時需要 Authorization: Bearer <token>
類別theme

請求體

{ "settings": { "preset": "bloomberg-intelligence", "density": "compact", "typeScale": "small", "pageWidth": "wide", "cornerStyle": "square", "accent": "blue" }, "custom_css": ".report-shell { letter-spacing: 0; }" }

響應體

{ "settings": { "preset": "bloomberg-intelligence", "density": "compact", "typeScale": "small", "pageWidth": "wide", "cornerStyle": "square", "accent": "blue" }, "defaults": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "presets": [{ "id": "minara-fusion", "name": "Minara Fusion", "description": "..." }], "custom_css": ".report-shell { letter-spacing: 0; }" }

本頁目錄